Subject: Re: [PATCH] replace-refs: fix support of qualified replace ref paths

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Apr 2025 17:11:25 -0700

Tao Klerks <[email-masked]> writes:

> This is already accounted for with a hard error: If you end up with
> duplicate replace ref targets, many operations fail with a clear
> error. Clean up your replace refs and you're off to the races again.

OK.  As long as that safety is there, I offhand see no more reason
to forbid it.  As you said, it can lead to a useful use case.